<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table43b', function (Blueprint $table) {
            $table->id('DatasetTable43BId');
            $table->integer('dataset_id');
            $table->string('lokasi')->nullable();
            $table->string('nama_perusahaan')->nullable();
            $table->string('waktu')->nullable();
            $table->text('hasil_pengawasan')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table43_b_s');
    }
};
